BizKitHub
DocsAPI ReferenceContact/bff/contact/merge-customers
postContactAdmin BFF

/bff/contact/merge-customers

Merges the legacy contact into the final contact, transferring all related data.

ContactpostBffContactMerge-customers

Parameters

JSON body

Request body

application/json
finalCustomerIdstringRequired

External ID of the contact to keep.

legacyCustomerIdstringRequired

External ID of the contact to merge and remove.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/merge-customers

post
curl -X POST "https://api.bizkithub.com/bff/contact/merge-customers" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "finalCustomerId": "example_finalCustomerId",
  "legacyCustomerId": "example_legacyCustomerId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key